using System.Collections;
using System.Collections.Generic;


namespace Rokojori
{
  public class TextAnchor
  {
    public readonly int lineIndex;
    public readonly int characterIndex;
    
    public TextAnchor( int lineIndex, int characterIndex )
    {
      this.lineIndex = lineIndex;
      this.characterIndex = characterIndex;
    }

    public TextAnchor Copy()
    {
      return new TextAnchor( lineIndex, characterIndex );
    } 

    public string info
    {
      get
      {
        return lineIndex + " (" + characterIndex + ")"; 
      }       
    }

  }
}